Subject: Re: bug#35507: Gnus mojibakifies UTF-8 text/x-patch attachments from Thunderbird

From: Andy Moreton <[email-masked]>
Date: Thu, 02 May 2019 16:43:31 +0100

On Thu 02 May 2019, Eli Zaretskii wrote:

> Using 'undecided' doesn't disable decoding, it just means Emacs will try to
> detect the correct encoding by looking at the text (not at the charset
> header). In a UTF-8 locale, we will guess UTF-8 anyway, unless we see invalid
> sequences.
>
> So yes, I think Noam is right, and 'undecided' is a better alternative here.

That is arguing for the existing code, which does not work correctly.

The problem is in `mm-display-inline-fontify'.

I am disinclined to look any further at this, as nobody else appears to
be running the existing code before commenting, or testing the proposed
patch.

    AndyM